Loading...
Searching...
No Matches
BALL::Polarity Class Reference

`#include <BALL/SCORING/COMPONENTS/polarity.h>`

Inheritance diagram for BALL::Polarity:

## Public Member Functions

Constructors and Destructors
| Polarity (ScoringFunction &sf)
| Polarity (const Polarity &bp)
virtual | ~Polarity ()
Assignment
const Polarity & | operator= (const Polarity &bp)
void | clear ()
Setup Methods
bool | setup ()
void | setupLigand ()
Public Member Functions inherited from BALL::ScoringComponent
| ScoringComponent ()
| ScoringComponent (const ScoringComponent &sc)
| ScoringComponent (ScoringFunction &sf)
void | selectBaseFunction (String function)
virtual | ~ScoringComponent ()
ScoringFunction * | getScoringFunction () const
void | setScoringFunction (ScoringFunction &sf)
String | getName () const
void | setName (const String &name)
const String & | getTypeName ()
double | getRawScore () const
double | getScaledScore () const
virtual void | setLigandIntraMolecular (bool b)
bool | isLigandIntraMolecular ()
bool | isGridable ()
bool | isAtomPairwise ()
void | setCoefficient (const double &coeff)
const double & | getCoefficient ()
void | setNormalizationParameters (double stddev, double mean)
void | getNormalizationParameters (double &stddev, double &mean)
bool | isEnabled ()
void | enable ()
void | disable ()

## Static Public Attributes

static const double | POL_ES_THRESHOLD
static const double | LIP_ES_THRESHOLD

## Accessors

double | updateScore ()
void | update (const vector< std::pair< Atom *, Atom * > > &)

## Additional Inherited Members

Protected Member Functions inherited from BALL::ScoringComponent
double | scaleScore (double score) const
Protected Attributes inherited from BALL::ScoringComponent
bool | ligand_intra_molecular_
bool | gridable_
bool | atom_pairwise_
ScoringFunction * | scoring_function_
ScoringBaseFunction * | base_function_
double | score_
double | coefficient_
double | stddev_
double | mean_
bool | enabled_
String | type_name_

## Detailed Description

Fresno buried polar component. {\bf Definition:} \URL{BALL/DOCKING/SCORING_COMPONENTS/buriedPolar.h}

Definition at line 19 of file polarity.h.

## Constructor & Destructor Documentation

## Polarity() [1/2]

BALL::Polarity::Polarity | ( | ScoringFunction & | sf | ) |

Constructor.

## Polarity() [2/2]

BALL::Polarity::Polarity | ( | const Polarity & | bp | ) |

Copy constructor

## ~Polarity()

virtual BALL::Polarity::~Polarity | ( |  | ) |

virtual

Destructor.

## Member Function Documentation

## clear()

void BALL::Polarity::clear | ( |  | ) |

virtual

Clear method.

Reimplemented from BALL::ScoringComponent.

## operator=()

const Polarity & BALL::Polarity::operator= | ( | const Polarity & | bp | ) |

Assignment.

## setup()

bool BALL::Polarity::setup | ( |  | ) |

virtual

Setup method.

Reimplemented from BALL::ScoringComponent.

## setupLigand()

void BALL::Polarity::setupLigand | ( |  | ) |

virtual

Function that needs to be called once for every new ligand.
The default implementation of this base class does nothing and should be overloaded by derived classes if necessary.

Reimplemented from BALL::ScoringComponent.

## update()

void BALL::Polarity::update | ( | const vector< std::pair< Atom *, Atom * > > & | pair_vector | ) |

virtual

Update this ScoringComponent using the given atom-pairs.
This function should be overloaded by all ScoringComponents

Reimplemented from BALL::ScoringComponent.

## updateScore()

double BALL::Polarity::updateScore | ( |  | ) |

virtual

Calculates and returns the component's energy.

Reimplemented from BALL::ScoringComponent.

## Member Data Documentation

## LIP_ES_THRESHOLD

const double BALL::Polarity::LIP_ES_THRESHOLD

static

Definition at line 24 of file polarity.h.

## POL_ES_THRESHOLD

const double BALL::Polarity::POL_ES_THRESHOLD

static

Definition at line 23 of file polarity.h.